// ##############################################################################
// #													
// # Author:		M. Derschang
// # Copyright:		Plan Software GmbH, Saarbrücken
// # 
// # Last Change:	2004.10.06 <MD>
// #													
// ##############################################################################

// # ============================================================================
// # Initialize combobox values
// # ============================================================================

function initialiseComboboxValues()
{
	//do nothing
}

/*
function initialiseComboboxValues()
{
	// # alert("<start>initialiseComboboxValues()...");
	
	var strAUSFUEHRUNG 	= document.getElementById("IDC_COMBO_AUSFUEHRUNG").value;
	var strTEMPERATUR 	= document.getElementById("IDC_COMBO_TEMPERATUR").value;
	var strWERKSTOFF 	= document.getElementById("IDC_COMBO_WERKSTOFF").value;
	var strNENNWEITE	= document.getElementById("IDC_COMBO_NENNWEITE").value;
	
	var arrayTMax 		= new Array();
	var arrayWerkstoff	= new Array();
	var arrayNennweite	= new Array();
	
	var iTMax			= 0;
	var iWS				= 0;
	var iDN				= 0;
	var numTMax 		= 0;
	

	
	// # ========================================================================
	// # Abhängigkeiten ermitteln:
	// # ========================================================================
	// Die Abhängigkeite werden via EasyScript "WS_INIT_SCHLAUCH_TYPEN" bereits in
	// den Screen übertragen und stehen in der JS-Tabelle "comboDepencies":
	
	bWSFound 	= false
	bTFound 	= false;
	lbFound 	= false;
	bDNFound 	= false;
	
	iTMax 		= 0
	iWS			= 0
	
	if (strAUSFUEHRUNG != "ID_ALLE")
	{	
		for (i=0; i<comboDepencies.length; i++)
		{
			if(comboDepencies[i]['AUSFUEHRUNG'] == strAUSFUEHRUNG)	
			{
				if( (comboDepencies[i]['WERKSTOFF'] == strWERKSTOFF) || (strWERKSTOFF == "ID_ALLE") )
				{
					bTFound = false;	
					
					for (x=0; x<arrayTMax.length; x++)
					{
						// alert(arrayTMax[x] +" == "+ comboDepencies[i]['TEMPERATUR']);
						if (arrayTMax[x] == comboDepencies[i]['TEMPERATUR'])
							bTFound = true;		
					}
	
					if (!(bTFound))
					{
						arrayTMax[iTMax] = comboDepencies[i]['TEMPERATUR'];
						iTMax++;
					}
				
				}
				
				if( (parseInt(strTEMPERATUR) <= parseInt(comboDepencies[i]['TEMPERATUR'])) || (strTEMPERATUR == "ID_ALLE") )
				{
					bWSFound = false;
					
					for (x=0; x<arrayWerkstoff.length; x++)
					{
						if (arrayWerkstoff[x] == comboDepencies[i]['WERKSTOFF'])
							bWSFound = true;		
					}
	
					if ( (!(bWSFound)) && (comboDepencies[i]['WERKSTOFF'] != '') )
					{
						arrayWerkstoff[iWS] = comboDepencies[i]['WERKSTOFF'];
						iWS++;
					}
				}
			}
		}
	}
	else
	{
		for (i=0; i<comboDepencies.length; i++)
		{
			if( (comboDepencies[i]['WERKSTOFF'] == strWERKSTOFF) || (strWERKSTOFF == "ID_ALLE") )
			{
				bTFound = false;
					
				for (x=0; x<arrayTMax.length; x++)
				{
					if (arrayTMax[x] == comboDepencies[i]['TEMPERATUR'])
						bTFound = true;		
				}

				if (!(bTFound))
				{
					arrayTMax[iTMax] = comboDepencies[i]['TEMPERATUR'];
					iTMax++;
				}
			}
				
			if( ( parseInt(strTEMPERATUR) <= parseInt(comboDepencies[i]['TEMPERATUR']) ) || (strTEMPERATUR == "ID_ALLE") )
			{
				bWSFound = false;
								
				for (x=0; x<arrayWerkstoff.length; x++)
				{
					if (arrayWerkstoff[x] == comboDepencies[i]['WERKSTOFF'])
						bWSFound = true;		
				}

				if ( (!(bWSFound)) && (comboDepencies[i]['WERKSTOFF'] != '') )
				{
					arrayWerkstoff[iWS] = comboDepencies[i]['WERKSTOFF'];
					iWS++;
				}
			}
		}
	}
	
	
	if ( arrayWerkstoff.length < 1 )
	{		
		iWS = 0;
				
		for (i=0; i<comboDepencies.length; i++)
		{	
			if(comboDepencies[i]['AUSFUEHRUNG'] == strAUSFUEHRUNG)	
			{
				arrayWerkstoff[iWS] = comboDepencies[i]['WERKSTOFF'];
				iWS++;
			}
		}
	}
	
	
	if ( arrayTMax.length < 1 )
	{		
		iTMax = 0;
				
		for (i=0; i<comboDepencies.length; i++)
		{	
			if(comboDepencies[i]['AUSFUEHRUNG'] == strAUSFUEHRUNG)	
			{
				arrayTMax[iTMax] = comboDepencies[i]['TEMPERATUR'];
				iTMax++;
			}
		}
	}
	

	
	// # ------------------------------------------------------------------------
	// # Maximale Temperaturen ermitteln und ComboBox füllen:
	// # ------------------------------------------------------------------------
	
	var numTMax = 0
	for (i=0; i<arrayTMax.length; i++)
	{	
		if ( parseFloat(numTMax) < parseFloat(arrayTMax[i]) )
			numTMax = parseFloat(arrayTMax[i]);
	}
			
	// # Alle Temperaturmöglichkeiten aus der ComboBox löschen:
	while ( document.getElementById("IDC_COMBO_TEMPERATUR").options.length > 0 ) 
		document.getElementById("IDC_COMBO_TEMPERATUR").options[document.getElementById("IDC_COMBO_TEMPERATUR").options.length-1] = null; 
	
	
	// # Alle erlaubtenTemperaturen neu in die ComboBox einfügen:
	numLength 		= 0;
	newTMaxOption 	= null;	
	
	for (i=0; i<arrayTemperatures.length; i++)
	{
		if (i==0) // Sonderfall "alle"
		{
			if(strTEMPERATUR == "ID_ALLE")
				newTMaxOption = new Option(arrayTemperatures[i].text, arrayTemperatures[i].id, true, true);
			else
				newTMaxOption = new Option(arrayTemperatures[i].text, arrayTemperatures[i].id, true, false);
				
			document.getElementById("IDC_COMBO_TEMPERATUR").options[numLength] = newTMaxOption; 
			numLength++;
			document.getElementById("IDC_COMBO_TEMPERATUR").length = numLength;
			
		}
		
		else if (parseInt(arrayTemperatures[i].id) <= numTMax)
		{	
			if (strTEMPERATUR == arrayTemperatures[i].id)
				newTMaxOption = new Option(arrayTemperatures[i].text, arrayTemperatures[i].id, false, true);
			else
				newTMaxOption = new Option(arrayTemperatures[i].text, arrayTemperatures[i].id, false, false);

			document.getElementById("IDC_COMBO_TEMPERATUR").options[numLength] = newTMaxOption; 
			numLength++;
			document.getElementById("IDC_COMBO_TEMPERATUR").length = numLength;
		}
	}
	
	
	
	// # ------------------------------------------------------------------------
	// # Mögliche Werkstoffe finden und ComboBox füllen:
	// # ------------------------------------------------------------------------
	
	// # Alle Werkstoffmöglichkeiten aus der ComboBox löschen:
	while ( document.getElementById("IDC_COMBO_WERKSTOFF").options.length > 0)
		document.getElementById("IDC_COMBO_WERKSTOFF").options[document.getElementById("IDC_COMBO_WERKSTOFF").options.length-1] = null; 

	// # Alle erlaubten Werkstoffe neu in die ComboBox einfügen:
	numLength 	= 0;
	newWSOption = null
	
	// # Sonderfall "alle"
	if(strWERKSTOFF == "ID_ALLE")
		newWSOption = new Option(arrayWSSchlauch[0].text, arrayWSSchlauch[0].id, true, true);
	else
		newWSOption = new Option(arrayWSSchlauch[0].text, arrayWSSchlauch[0].id, true, false);
		
	document.getElementById("IDC_COMBO_WERKSTOFF").options[numLength] = newWSOption; 
	numLength++;
	document.getElementById("IDC_COMBO_WERKSTOFF").length = numLength;
				
			
	for (i=0; i<arrayWerkstoff.length; i++)
	{
		for (j=0; j<arrayWSSchlauch.length; j++)
		{	
			if (arrayWerkstoff[i] == arrayWSSchlauch[j].id)
			{
				if(strWERKSTOFF == arrayWSSchlauch[j].id)
					newWSOption = new Option(arrayWSSchlauch[j].text, arrayWSSchlauch[j].id, false, true);
				else
					newWSOption = new Option(arrayWSSchlauch[j].text, arrayWSSchlauch[j].id, false, false);
	
				document.getElementById("IDC_COMBO_WERKSTOFF").options[numLength] = newWSOption; 
				numLength++;
				document.getElementById("IDC_COMBO_WERKSTOFF").length = numLength;
				
			}
		}
	}
	
	
	
//	alert("<end>initialiseComboboxValues()...");
	
}
*/

// =========================================================
// initialiseComboboxValuesAT
// =========================================================

function initialiseComboboxValuesAT( aStrSide )
{
	//alert("<start>initialiseComboboxValuesAT()...");
	
	var strANSCHLUSSART = document.getElementById("IDC_COMBO_ANSCHLUSSART_LINKS").value;
	var strSchlauchbild = "";
	
	if (strANSCHLUSSART == "ID_OHNE")
	{
		document.getElementById("IDC_COMBO_ANSCHLUSSTYP_LINKS").value 	 	= "ID_OHNE";
		document.getElementById("IDC_COMBO_ANSCHLUSSTYP_LINKS").disabled 	= true;
		
		document.getElementById("IDC_COMBO_WERKSTOFF_LINKS").value 	 		= "ID_OHNE";
		document.getElementById("IDC_COMBO_WERKSTOFF_LINKS").disabled 		= true;
		
		document.getElementById("IDC_BUTTON_SUCHEN_LINKS").disabled 		= true;

		// BILD NEU SETZEN, INFOS LÖSCHEN		
		strSchlauchbild = document.getElementById("IDC_HIDDEN_BILD_SCHLAUCH_LINKS").value;
		document.getElementById("IDC_TYPEN_ANSCHLUESSE_IMAGE_LINKS").src = strSchlauchbild;
	
		if (aStrSide == "LINKS")	
		{
			document.getElementById("IDC_AT_WAHL_LINKS").innerHTML = "";
			
			var numResults = document.getElementById("IDC_TABLE_WS_ANSCHLUESSE_ERGEBNIS_TABLE").rows.length;
			while ( document.getElementById("IDC_TABLE_WS_ANSCHLUESSE_ERGEBNIS_TABLE").rows.length > 1 ) 
			{
				numResults--;
				document.getElementById("IDC_TABLE_WS_ANSCHLUESSE_ERGEBNIS_TABLE").deleteRow(numResults);
			}
		}
			
	}
	
	else if (strANSCHLUSSART == "ID_ALLE")
	{
		if (document.getElementById("IDC_COMBO_ANSCHLUSSTYP_LINKS").disabled)
		{
			document.getElementById("IDC_COMBO_ANSCHLUSSTYP_LINKS").value 	 	= "ID_ALLE";
			document.getElementById("IDC_COMBO_ANSCHLUSSTYP_LINKS").disabled 	= false;
		}
		
		if (document.getElementById("IDC_COMBO_WERKSTOFF_LINKS").disabled)
		{
			document.getElementById("IDC_COMBO_WERKSTOFF_LINKS").value 	 	= "ID_ALLE";
			document.getElementById("IDC_COMBO_WERKSTOFF_LINKS").disabled 	= false;
		}
		
		document.getElementById("IDC_BUTTON_SUCHEN_LINKS").disabled 		= false;
	}
	
	else 
	{
		if (document.getElementById("IDC_COMBO_ANSCHLUSSTYP_LINKS").value == "ID_OHNE")
			document.getElementById("IDC_COMBO_ANSCHLUSSTYP_LINKS").value = "ID_ALLE";
		document.getElementById("IDC_COMBO_ANSCHLUSSTYP_LINKS").disabled 	= false;
		
		if (document.getElementById("IDC_COMBO_WERKSTOFF_LINKS").value == "ID_OHNE")
			document.getElementById("IDC_COMBO_WERKSTOFF_LINKS").value = "ID_ALLE";
		document.getElementById("IDC_COMBO_WERKSTOFF_LINKS").disabled 		= false;
		
		document.getElementById("IDC_BUTTON_SUCHEN_LINKS").disabled 		= false;
	}
	
// =============================================================================================
	
	strANSCHLUSSART = document.getElementById("IDC_COMBO_ANSCHLUSSART_RECHTS").value;
	
	if (strANSCHLUSSART == "ID_OHNE")
	{
		document.getElementById("IDC_COMBO_ANSCHLUSSTYP_RECHTS").value 	 	= "ID_OHNE";
		document.getElementById("IDC_COMBO_ANSCHLUSSTYP_RECHTS").disabled 	= true;
		
		document.getElementById("IDC_COMBO_WERKSTOFF_RECHTS").value 	 	= "ID_OHNE";
		document.getElementById("IDC_COMBO_WERKSTOFF_RECHTS").disabled 		= true;
		
		document.getElementById("IDC_BUTTON_SUCHEN_RECHTS").disabled 		= true;
		
		strSchlauchbild = document.getElementById("IDC_HIDDEN_BILD_SCHLAUCH_RECHTS").value;
		document.getElementById("IDC_TYPEN_ANSCHLUESSE_IMAGE_RECHTS").src = strSchlauchbild;
		
		if (aStrSide == "RECHTS")	
		{
			//alert(document.getElementById("IDC_AT_WAHL_RECHTS").text);
			document.getElementById("IDC_AT_WAHL_RECHTS").innerHTML = "";
		
			var numResults = document.getElementById("IDC_TABLE_WS_ANSCHLUESSE_ERGEBNIS_TABLE").rows.length;
			while ( document.getElementById("IDC_TABLE_WS_ANSCHLUESSE_ERGEBNIS_TABLE").rows.length > 1 ) 
			{
				numResults--;
				document.getElementById("IDC_TABLE_WS_ANSCHLUESSE_ERGEBNIS_TABLE").deleteRow(numResults);
			}
		}
	}
	
	else if (strANSCHLUSSART == "ID_ALLE")
	{
		if (document.getElementById("IDC_COMBO_ANSCHLUSSTYP_RECHTS").disabled)
		{
			document.getElementById("IDC_COMBO_ANSCHLUSSTYP_RECHTS").value 	 	= "ID_ALLE";
			document.getElementById("IDC_COMBO_ANSCHLUSSTYP_RECHTS").disabled 	= false;
		}
		
		if (document.getElementById("IDC_COMBO_WERKSTOFF_RECHTS").disabled)
		{
			document.getElementById("IDC_COMBO_WERKSTOFF_RECHTS").value 	= "ID_ALLE";
			document.getElementById("IDC_COMBO_WERKSTOFF_RECHTS").disabled 	= false;
		}
		
		document.getElementById("IDC_BUTTON_SUCHEN_RECHTS").disabled 		= false;

	}
	
	else 
	{
		if (document.getElementById("IDC_COMBO_ANSCHLUSSTYP_RECHTS").value == "ID_OHNE")
			document.getElementById("IDC_COMBO_ANSCHLUSSTYP_RECHTS").value = "ID_ALLE";
		document.getElementById("IDC_COMBO_ANSCHLUSSTYP_RECHTS").disabled 	= false;
			
		if (document.getElementById("IDC_COMBO_WERKSTOFF_RECHTS").value == "ID_OHNE")
			document.getElementById("IDC_COMBO_WERKSTOFF_RECHTS").value = "ID_ALLE";
		document.getElementById("IDC_COMBO_WERKSTOFF_RECHTS").disabled 		= false;
		
		document.getElementById("IDC_BUTTON_SUCHEN_RECHTS").disabled 		= false;
	}
	
}



// # ============================================================================
// # Initialisierung von "IDD_WS_TYPEN_ANSCHLUESSE" aufgrund der Selektion
// # ============================================================================

function setSelectionValues(evt)
{
	column 	= getElementFrom(evt);
	rowid 	= getRowFrom(column);
	tableid = getTableFrom(column);


	// Abfangen, dass in eine der ersten Zeilen geclickt wurde...
	if (rowid == 'IDC_TABLE_WS_ANSCHLUESSE_ERGEBNIS')
		return;
	
	// Jetzt den newcode noch der Formvariable für die Tabelle zuweisen:
	document.isycat[tableid].value = rowid;

	// Das ist OK:
	ekSubmit(tableid);
}

	
// # ============================================================================
// # Überprüft, ob eine Auswahl in der Ergebnisliste stattfand
// # ============================================================================

function ekSubmitCheckSelected(element)
{
	if (element.id == "IDC_BUTTON_ANSCHLUESSE")
	{
		if(dialog.IDC_TABLE_WS_NENNDATEN_ERGEBNIS.getSelected() == '')
			alert('Bitte wählen Sie einen Schlauch aus!');
			//alert(document.getElementById('MSG_ERROR_SCHLAUCH_NOT_SELECTED').value);
		else
			ekSubmit(element);
	}

//	else if (element.id == "IDC_WEITER_BUT")
//	{
//		if(document.isycat.IDC_TABLE_WS_ANSCHLUESSE_ERGEBNIS.value == '')
//			alert(document.getElementById('MSG_ERROR_SCHLAUCH_NOT_SELECTED').value);
//		else
//			ekSubmit(element);
//	}

	else
		ekSubmit(element);
}


function openDatasheet()
{
	if (document.getElementById('DATA_SHEET').value != "")	
	{
		window.open(document.getElementById('DATA_SHEET').value, 'Flexperte');	
		document.getElementById('DATA_SHEET').value = "";
	}
}